﻿Imports System.Net.Mail
Public Class Form1
    Dim SmtpServer As New SmtpClient()
    Dim mail As New MailMessage()

    Public Sub sendEmail()
        Try

            SmtpServer.Credentials = New Net.NetworkCredential(Trim(txtID.Text) + "@yahoo.com", Trim(txtPassword.Text))
            SmtpServer.Port = "587"
            SmtpServer.Host = "smtp.mail.yahoo.com"
            mail.From = New MailAddress(Trim(txtID.Text) + "@yahoo.com")
            mail.To.Add(Trim(txtTo.Text))
            mail.Subject = Trim(txtSubject.Text)
            mail.Body = Trim(txtBody.Text)
            If Me.TextBox1.Text.Length <> 0 Then
                Dim mail_att As New Attachment(Me.TextBox1.Text)
                mail.Attachments.Add(mail_att)

            End If
            SmtpServer.Send(mail)
            MsgBox("پيام شما با موفقيت ارسال شد", MsgBoxStyle.Information, "نتيجه ارسال")
            Me.Text = "ارسال ايميل با ياهو ميل"
            Me.Refresh()
        Catch ex As Exception

            MsgBox("خطا در ارسال" + vbCrLf + vbCrLf + "لطفا ايميل و پسوردتان را كنترل كنيد", MsgBoxStyle.Critical, "خطا")
            MsgBox(ex.ToString)
            Me.Text = "ارسال ايميل با ياهو ميل"
            Me.Refresh()
        End Try

    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCancel.Click
        Me.Close()
    End Sub

    Public Function IsConnectionAvailable(ByVal time_out As Integer) As Boolean
        Try
            Return My.Computer.Network.Ping("www.google.com", time_out)
        Catch ex As Exception
            Return False
        End Try
    End Function
    Private Sub btnSend_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSend.Click
        If txtID.Text = "" Then
            MsgBox("لطفا اي دي ياهو را بطور كامل وارد كنيد", MsgBoxStyle.Exclamation, "خطا")
            txtID.Focus()
        ElseIf txtPassword.Text = "" Then
            MsgBox("لطفا پسورد را وارد كنيد", MsgBoxStyle.Exclamation, "خطا")
            txtPassword.Focus()
        ElseIf txtTo.Text = "" Then
            MsgBox("لطفا آدرس گيرنده را وارد كنيد", MsgBoxStyle.Exclamation, "خطا")
            txtTo.Focus()
        ElseIf txtSubject.Text = "" Then
            MsgBox("لطفا عنوان را وارد كنيد", MsgBoxStyle.Exclamation, "خطا")
            txtSubject.Focus()
        ElseIf txtBody.Text = "" Then
            MsgBox("لطفا متن پيام را وارد كنيد", MsgBoxStyle.Exclamation, "خطا")
            txtBody.Focus()
        Else
            Me.Text = "در حال بررسي اتصال اينترنتي"
            Me.Refresh()
            If IsConnectionAvailable(20000) = True Then
                Me.Text = "سيستم درحال ارسال پيام"
                Me.Refresh()
                Call sendEmail()
            Else
                Me.Text = "ارسال ايميل با ياهو ميل"
                Me.Refresh()
                MsgBox("سيستم به اينترنت متصل نميباشد", MsgBoxStyle.Exclamation, "پيام")
            End If

        End If
    End Sub

    Private Sub LinkLabel1_LinkClicked(ByVal sender As System.Object, ByVal e As System.Windows.Forms.LinkLabelLinkClickedEventArgs)


    End Sub

    Private Sub frmMailing_KeyDown(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles Me.KeyDown
        Select Case e.KeyCode
            Case Keys.F3
                Call btnSend_Click(sender, e)
            Case Keys.Escape
                Me.Close()

        End Select
    End Sub

    Private Sub txtBody_GotFocus(ByVal sender As Object, ByVal e As System.EventArgs) Handles txtBody.GotFocus
        Me.txtBody.BackColor = Color.Pink
    End Sub

    Private Sub txtBody_LostFocus(ByVal sender As Object, ByVal e As System.EventArgs) Handles txtBody.LostFocus
        Me.txtBody.BackColor = Color.White
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim exic As String
        exic = Microsoft.VisualBasic.Right(Me.TextBox1.Text, 3)

        Me.OpenDialog.ShowDialog()
        If Me.OpenDialog.FileName = "" Or Me.OpenDialog.FileName = "All files" Then
            MsgBox("نام فايل معتبر نميباشد", MsgBoxStyle.Exclamation, "پيام")
        Else
            Me.TextBox1.Text = Me.OpenDialog.FileName
            exic = Microsoft.VisualBasic.Right(Me.TextBox1.Text, 3)
            Me.Label6.Text = exic
            Select Case Label6.Text
                Case "txt", "log", "LOG"
                    Me.PictureBox2.Image = My.Resources.atxt
                Case "doc"
                    Me.PictureBox2.Image = My.Resources.adoc
                Case "rar"
                    Me.PictureBox2.Image = My.Resources.arar
                Case "zip"
                    Me.PictureBox2.Image = My.Resources.arar
                Case "pdf"
                    Me.PictureBox2.Image = My.Resources.apdf
                Case "mp3"
                    Me.PictureBox2.Image = My.Resources.amp3
                Case "jpg", "bmp", "png", "jpeg", "gif", "JPG"
                    Me.PictureBox2.Image = My.Resources.pic
                Case "exe"
                    Me.PictureBox2.Image = My.Resources.install
                Case Else
                    Me.PictureBox2.Image = My.Resources.aunk
            End Select

        End If
    End Sub

    Private Sub LinkLabel2_LinkClicked(ByVal sender As System.Object, ByVal e As System.Windows.Forms.LinkLabelLinkClickedEventArgs) Handles LinkLabel2.LinkClicked
        mail.Attachments.Clear()
        Me.TextBox1.Text = ""
        Me.PictureBox2.Image = My.Resources.atta
    End Sub

End Class
